### Enumeration

# RB RhythmDBQueryType

#### Declaration

    enum RB.RhythmDBQueryType

#### Description

No description available.

#### Members

`RHYTHMDB_QUERY_END`

  No description available.

  - Value: `0`
  - Available since: 3.0
`RHYTHMDB_QUERY_DISJUNCTION`

  No description available.

  - Value: `1`
  - Available since: 3.0
`RHYTHMDB_QUERY_SUBQUERY`

  No description available.

  - Value: `2`
  - Available since: 3.0
`RHYTHMDB_QUERY_PROP_EQUALS`

  No description available.

  - Value: `3`
  - Available since: 3.0
`RHYTHMDB_QUERY_PROP_NOT_EQUAL`

  No description available.

  - Value: `4`
  - Available since: 3.0
`RHYTHMDB_QUERY_PROP_LIKE`

  No description available.

  - Value: `5`
  - Available since: 3.0
`RHYTHMDB_QUERY_PROP_NOT_LIKE`

  No description available.

  - Value: `6`
  - Available since: 3.0
`RHYTHMDB_QUERY_PROP_PREFIX`

  No description available.

  - Value: `7`
  - Available since: 3.0
`RHYTHMDB_QUERY_PROP_SUFFIX`

  No description available.

  - Value: `8`
  - Available since: 3.0
`RHYTHMDB_QUERY_PROP_GREATER`

  No description available.

  - Value: `9`
  - Available since: 3.0
`RHYTHMDB_QUERY_PROP_LESS`

  No description available.

  - Value: `10`
  - Available since: 3.0
`RHYTHMDB_QUERY_PROP_CURRENT_TIME_WITHIN`

  No description available.

  - Value: `11`
  - Available since: 3.0
`RHYTHMDB_QUERY_PROP_CURRENT_TIME_NOT_WITHIN`

  No description available.

  - Value: `12`
  - Available since: 3.0
`RHYTHMDB_QUERY_PROP_YEAR_EQUALS`

  No description available.

  - Value: `13`
  - Available since: 3.0
`RHYTHMDB_QUERY_PROP_YEAR_NOT_EQUAL`

  No description available.

  - Value: `14`
  - Available since: 3.0
`RHYTHMDB_QUERY_PROP_YEAR_GREATER`

  No description available.

  - Value: `15`
  - Available since: 3.0
`RHYTHMDB_QUERY_PROP_YEAR_LESS`

  No description available.

  - Value: `16`
  - Available since: 3.0